# Hekili

## [v9.2.0-1.0.0-alpha8](https://github.com/Hekili/hekili/tree/v9.2.0-1.0.0-alpha8) (2022-02-22)
[Full Changelog](https://github.com/Hekili/hekili/compare/v9.1.5-1.0.10...v9.2.0-1.0.0-alpha8) [Previous Releases](https://github.com/Hekili/hekili/releases)

- Fix Elegy buff.  
- Add cycle indicator to Decimating Bolt.  
- Demo, Fury priority updates.  
- Add 9.2 trinkets.  
- Ele:  Set up Lava Burst cycle indicator when appropriate.  
- Update PvP trinkets.  
- Warlock priority updates.  
- Ele, Enh priority updates.  
    - Adds pad\_lava\_lash.  
    - Fix up Vesper Totem mechanics.  
- Outlaw priority update.  
- WW priority update.  
- Arcane priority update.  
- MM/Sv priority updates.  
- Unholy:  Priority update and IQD setting.  
- Frost DK:  Update priority.  
- Support main\_hand.2h|1h for DKs.  
- Fix #1349.  
- Fix [BUG] v9.2.0-1.0.0-alpha4 Heart of Azeroth Error for Characters Without Item #1348  
- Keep allowed CPU time the same for initial thread vs. future updates.  
- Allow "super" updates to restart the process of calculating recommendations.  
- Buffs/debuffs back to load-as-needed.  
- Finish update thread when Paused.  
- Fix thread and snapshot.  
- Implement coroutine for main work thread.  
    Use threaded approach to updating recommendations.  
    Track more frames for CPU profiling.  
    Reduce CPU usage in TimeToReady.  
    Reduce CPU usage from Azerite traits (I know).  
    Don't model TTDs out of combat.  
- Disable Razor Coral.  
- Add more snapshot data re: items.  
- Merge pull request #1334 from Krytos/patch-1  
- Fix Thorns spell ID.  
- Code format.  
- TOC update for 9.2.  
- Assassination:  Try to make the set bonus work.  
    Fix Toxic Onslaught.  
    Remove Shrouded Suffocation.  
- Abbreviate Covenant to Cov not CoV.  
- Don't prematurely update auras/cooldowns because they may affect each other.  
- Detect set bonuses using auras for T28.  
- Fix pet.living\_shadow (oops).  
- Shadow:  Use the Living Shadow buff to populate pet.your\_shadow.remains.  
- Revise Elemental T28 extensions to proc on the Energize event from Lava Surge and its Overloads.  
- Fix swap\_for\_condemn/swap\_for\_execute.  
- Fix tier 28 check.  
- Tier 28 Warrior mechanics.  
- Tier 28 Warlock mechanics.  
- Tier 28 Shaman mechanics.  
- Tier 28 Rogue mechanics.  
- Fix de/buff-based resource generation.  
- Support more generic virtual aura events (i.e., to proc resources during a buff).  
- With Check Pet Range, treat Kill Command as 'disabled' and fake its cooldown to support BM priority.  
- Tier 28 Priest mechanics.  
- Tier 28 Paladin mechanics.  
- Tier 28 Monk mechanics.  
- Tier 28 Mage mechanics (Comet Storm needs review).  
- Tier 28 Hunter mechanics.  
- Tier 28 Druid mechanics.  
- Tier 28 DH mechanics.  
- Tier 28 DK mechanics.  
- Make Voidform a shared aura since it is built-in to GCD haste calcs.  
- Add swap\_for\_execute (and condemn) logic, reliant on Recommend Target Swaps option and usage of Cycle Targets in priority.  
- Add functions to support Execute/Condemn target-swapping by health range.  
- Added the damage aura from sigil of skoldus  